<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Tue Aug 01 04:46:18 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>HwCommunicationResourceImpl (org.eclipse.papyrus.marte.static.profile 1.2.2 API)</title>
<meta name="date" content="2017-08-01">
<link rel="stylesheet" type="text/css" href="../../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HwCommunicationResourceImpl (org.eclipse.papyrus.marte.static.profile 1.2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/HwCommunicationResourceImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwCommunication/impl/HwCommunicationPackageImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwCommunication.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwCommunication/impl/HwEndPointImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwCommunication.impl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwCommunication/impl/HwCommunicationResourceImpl.html" target="_top">Frames</a></li>
<li><a href="HwCommunicationResourceImpl.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.BasicEObjectImpl">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral.impl.HwResourceImpl">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwCommunication.impl</div>
<h2 title="Class HwCommunicationResourceImpl" class="title">Class HwCommunicationResourceImpl</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.common.notify.impl.BasicNotifierImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.BasicEObjectImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.EObjectImpl</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.impl">org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.impl.ResourceImpl</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/impl/HwResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral.impl">org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral.impl.HwResourceImpl</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwCommunication.impl.HwCommunicationResourceImpl</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral">HwResource</a>, <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwCommunication/HwCommunicationResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwCommunication">HwCommunicationResource</a>, <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Resource</a></dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwCommunication/impl/HwArbiterImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwCommunication.impl">HwArbiterImpl</a>, <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwCommunication/impl/HwEndPointImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwCommunication.impl">HwEndPointImpl</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">HwCommunicationResourceImpl</span>
extends <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/impl/HwResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral.impl">HwResourceImpl</a>
implements <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwCommunication/HwCommunicationResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwCommunication">HwCommunicationResource</a></pre>
<div class="block"><!-- begin-user-doc -->
 An implementation of the model object '<em><b>Resource</b></em>'.
 <!-- end-user-doc --></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== PROPERTY SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="property.summary">
<!--   -->
</a>
<h3>Property Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="properties.inherited.from.class.org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.impl.ResourceImpl">
<!--   -->
</a>
<h3>Properties inherited from class&nbsp;org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.impl.<a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.impl">ResourceImpl</a></h3>
<code><a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#basicGetBase_Property">basicGetBase_Property</a></code></li>
</ul>
</li>
</ul>
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.BasicEObjectImpl">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.ecore.impl.BasicEObjectImpl</h3>
<code>org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.common.notify.impl.BasicNotifierImpl">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.common.notify.impl.BasicNotifierImpl</h3>
<code>org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList&lt;E extends <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a> &amp; org.eclipse.emf.common.notify.Adapter&gt;, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>org.eclipse.emf.ecore.InternalEObject.EStore</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral.impl.HwResourceImpl">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral.impl.<a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/impl/HwResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral.impl">HwResourceImpl</a></h3>
<code><a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/impl/HwResourceImpl.html#description">description</a>, <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/impl/HwResourceImpl.html#DESCRIPTION_EDEFAULT">DESCRIPTION_EDEFAULT</a>, <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/impl/HwResourceImpl.html#endPoints">endPoints</a>, <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/impl/HwResourceImpl.html#frequency">frequency</a>, <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/impl/HwResourceImpl.html#FREQUENCY_EDEFAULT">FREQUENCY_EDEFAULT</a>, <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/impl/HwResourceImpl.html#ownedHW">ownedHW</a>, <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/impl/HwResourceImpl.html#p_HW_Services">p_HW_Services</a>, <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/impl/HwResourceImpl.html#r_HW_Services">r_HW_Services</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.impl.ResourceImpl">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.impl.<a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.impl">ResourceImpl</a></h3>
<code><a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#base_Classifier">base_Classifier</a>, <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#base_ConnectableElement">base_ConnectableElement</a>, <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#base_InstanceSpecification">base_InstanceSpecification</a>, <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#base_Lifeline">base_Lifeline</a>, <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#base_Property">base_Property</a>, <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#IS_ACTIVE_EDEFAULT">IS_ACTIVE_EDEFAULT</a>, <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#IS_PROTECTED_EDEFAULT">IS_PROTECTED_EDEFAULT</a>, <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#isActive">isActive</a>, <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#isProtected">isProtected</a>, <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#RES_MULT_EDEFAULT">RES_MULT_EDEFAULT</a>, <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#resMult">resMult</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.impl.EObjectImpl">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.emf.ecore.impl.EObjectImpl</h3>
<code>eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.impl.BasicEObjectImpl">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.emf.ecore.impl.BasicEObjectImpl</h3>
<code>EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>EOPPOSITE_FEATURE_BASE</code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier</th>
<th class="colLast" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwCommunication/impl/HwCommunicationResourceImpl.html#HwCommunicationResourceImpl--">HwCommunicationResourceImpl</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>protected org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwCommunication/impl/HwCommunicationResourceImpl.html#eStaticClass--">eStaticClass</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral.impl.HwResourceImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral.impl.<a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/impl/HwResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral.impl">HwResourceImpl</a></h3>
<code><a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/impl/HwResourceImpl.html#eGet-int-boolean-boolean-">eGet</a>, <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/impl/HwResourceImpl.html#eInverseRemove-org.eclipse.emf.ecore.InternalEObject-int-org.eclipse.emf.common.notify.NotificationChain-">eInverseRemove</a>, <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/impl/HwResourceImpl.html#eIsSet-int-">eIsSet</a>, <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/impl/HwResourceImpl.html#eSet-int-java.lang.Object-">eSet</a>, <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/impl/HwResourceImpl.html#eUnset-int-">eUnset</a>, <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/impl/HwResourceImpl.html#getDescription--">getDescription</a>, <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/impl/HwResourceImpl.html#getEndPoints--">getEndPoints</a>, <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/impl/HwResourceImpl.html#getFrequency--">getFrequency</a>, <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/impl/HwResourceImpl.html#getOwnedHW--">getOwnedHW</a>, <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/impl/HwResourceImpl.html#getP_HW_Services--">getP_HW_Services</a>, <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/impl/HwResourceImpl.html#getR_HW_Services--">getR_HW_Services</a>, <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/impl/HwResourceImpl.html#setDescription-java.lang.String-">setDescription</a>, <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/impl/HwResourceImpl.html#setFrequency-java.lang.String-">setFrequency</a>, <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/impl/HwResourceImpl.html#toString--">toString</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.impl.ResourceImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.impl.<a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.impl">ResourceImpl</a></h3>
<code><a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#basicGetBase_Classifier--">basicGetBase_Classifier</a>, <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#basicGetBase_ConnectableElement--">basicGetBase_ConnectableElement</a>, <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#basicGetBase_InstanceSpecification--">basicGetBase_InstanceSpecification</a>, <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#basicGetBase_Lifeline--">basicGetBase_Lifeline</a>, <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#basicGetBase_Property--">basicGetBase_Property</a>, <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#getBase_Classifier--">getBase_Classifier</a>, <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#getBase_ConnectableElement--">getBase_ConnectableElement</a>, <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#getBase_InstanceSpecification--">getBase_InstanceSpecification</a>, <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#getBase_Lifeline--">getBase_Lifeline</a>, <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#getBase_Property--">getBase_Property</a>, <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#getResMult--">getResMult</a>, <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#isActive--">isActive</a>, <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#isProtected--">isProtected</a>, <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#setBase_Classifier-org.eclipse.uml2.uml.Classifier-">setBase_Classifier</a>, <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#setBase_ConnectableElement-org.eclipse.uml2.uml.ConnectableElement-">setBase_ConnectableElement</a>, <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#setBase_InstanceSpecification-org.eclipse.uml2.uml.InstanceSpecification-">setBase_InstanceSpecification</a>, <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#setBase_Lifeline-org.eclipse.uml2.uml.Lifeline-">setBase_Lifeline</a>, <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#setBase_Property-org.eclipse.uml2.uml.Property-">setBase_Property</a>, <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#setIsActive-boolean-">setIsActive</a>, <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#setIsProtected-boolean-">setIsProtected</a>, <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#setResMult-java.lang.String-">setResMult</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.EObjectImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.EObjectImpl</h3>
<code>eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.BasicEObjectImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.BasicEObjectImpl</h3>
<code>eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.impl.BasicNotifierImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.common.notify.impl.BasicNotifierImpl</h3>
<code>eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral.HwResource">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral.<a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral">HwResource</a></h3>
<code><a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwResource.html#getDescription--">getDescription</a>, <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwResource.html#getEndPoints--">getEndPoints</a>, <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwResource.html#getFrequency--">getFrequency</a>, <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwResource.html#getOwnedHW--">getOwnedHW</a>, <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwResource.html#getP_HW_Services--">getP_HW_Services</a>, <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwResource.html#getR_HW_Services--">getR_HW_Services</a>, <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwResource.html#setDescription-java.lang.String-">setDescription</a>, <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwResource.html#setFrequency-java.lang.String-">setFrequency</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.Resource">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.<a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Resource</a></h3>
<code><a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#getBase_Classifier--">getBase_Classifier</a>, <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#getBase_ConnectableElement--">getBase_ConnectableElement</a>, <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#getBase_InstanceSpecification--">getBase_InstanceSpecification</a>, <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#getBase_Lifeline--">getBase_Lifeline</a>, <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#getBase_Property--">getBase_Property</a>, <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#getResMult--">getResMult</a>, <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#isActive--">isActive</a>, <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#isProtected--">isProtected</a>, <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#setBase_Classifier-org.eclipse.uml2.uml.Classifier-">setBase_Classifier</a>, <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#setBase_ConnectableElement-org.eclipse.uml2.uml.ConnectableElement-">setBase_ConnectableElement</a>, <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#setBase_InstanceSpecification-org.eclipse.uml2.uml.InstanceSpecification-">setBase_InstanceSpecification</a>, <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#setBase_Lifeline-org.eclipse.uml2.uml.Lifeline-">setBase_Lifeline</a>, <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#setBase_Property-org.eclipse.uml2.uml.Property-">setBase_Property</a>, <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#setIsActive-boolean-">setIsActive</a>, <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#setIsProtected-boolean-">setIsProtected</a>, <a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#setResMult-java.lang.String-">setResMult</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EObject</h3>
<code>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.Notifier">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.common.notify.Notifier</h3>
<code>eAdapters, eDeliver, eNotify, eSetDeliver</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>eNotificationRequired</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="HwCommunicationResourceImpl--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>HwCommunicationResourceImpl</h4>
<pre>protected&nbsp;HwCommunicationResourceImpl()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="eStaticClass--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>eStaticClass</h4>
<pre>protected&nbsp;org.eclipse.emf.ecore.EClass&nbsp;eStaticClass()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/impl/HwResourceImpl.html#eStaticClass--">eStaticClass</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/impl/HwResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral.impl">HwResourceImpl</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/HwCommunicationResourceImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwCommunication/impl/HwCommunicationPackageImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwCommunication.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwCommunication/impl/HwEndPointImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwCommunication.impl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwCommunication/impl/HwCommunicationResourceImpl.html" target="_top">Frames</a></li>
<li><a href="HwCommunicationResourceImpl.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.BasicEObjectImpl">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral.impl.HwResourceImpl">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
